Subject: Re: Hitting slab BUG with bridging/cxgb3 on 2.6.31-rc2

From: Roland Dreier <[email-masked]>
Date: Wed, 08 Jul 2009 22:38:23 -0700

> Yep, reverting that makes things work solid.  I don't see an obvious
 > problem with that patch... seems the only places that free TX skbs are
 > the xmit routine itself, and in sge_timer_tx() where it's protected by
 > doing __netif_tx_lock().

Looking a little deeper -- it seems that at least the msix interrupt
routines do look at txq stuff without taking the tx_lock, and possibly
wake the tx queue racily maybe....

Oh well, I'll let you stare at it a little now...

 - R.